#ifndef __FDIST_H
#define __FIDST_H

#include"config.h"

#define MIN(A,B)    ((A<B)?A:B)
#define MAX(A,B)    ((A>B)?A:B)
#define _FILE_OFFSET_BITS 64
#if HAVE_STDLIB_H==1
#include<stdlib.h>
#else
#error Missing stdlib.h
#endif

#include<sys/types.h>
#include<sys/stat.h>
#include<sys/wait.h>
#include<fcntl.h>

#if HAVE_UNISTD_H==1
#include<unistd.h>
#else
#error Missing unistd.h
#endif

#if HAVE_STRING_H==1
#include<string.h>
#else
#error Missing string.h
#endif

#if HAVE_SYS_SOCKET_H==1
#include<sys/socket.h>
#else
#error Missing sys/socket.h
#endif

#if HAVE_NETINET_IN_H==1
#include<netinet/in.h>
#else
#error Missing netinet/in.h
#endif

#if HAVE_ARPA_INET_H==1
#include<arpa/inet.h>
#else
#error Missing arpa/inet.h
#endif

#if HAVE_NETDB_H==1
#include<netdb.h>
#else
#error Missing netdb.h
#endif

#if HAVE_SYS_TIME_H==1
#include<sys/time.h>
#else
#error Missing sys/time.h
#endif

#define MAXFILENAMELEN	100
#define CFGREADBUFLEN	250

typedef struct {
    int was_resent;
    unsigned long int winnum;
    unsigned short int datalen;
    char data[65000];
} window ;

typedef int clientinfo;

typedef struct {
    int childpid;
    clientinfo * clients;
    int numclients;
    unsigned short int sendport;
    unsigned short int recvport;
    unsigned short int ablaknum;
    unsigned short int blocksize;
} szimbol;

typedef struct {
    char filenev[MAXFILENAMELEN];
    char szimbol[MAXFILENAMELEN];
    int toreach;
    int wasrenewed;
    szimbol szim;
    void * next;
} konfentry;

typedef struct {
    short int recvport;
    short int sendport;
    short int ablaknum;
} initstr;
/* Strukrra a klienek inicializlshoz */

#endif /* __FDIST_H */
